#pragma once

#include <SDL2/SDL.h>
#include "common/utils.h"
#include <string>
#include <vector>

#ifndef ROOM_TRACKER_H
#define ROOM_TRACKER_H

class RoomTracker
{
private:
	// Variables
	std::vector<std::string> list; // Lista con las habitaciones visitadas

	// Comprueba si la habitación ya ha sido visitada
	bool hasBeenVisited(std::string name);

public:
	// Constructor
	RoomTracker();

	// Destructor
	~RoomTracker();

	// Añade la habitación a la lista
	bool addRoom(std::string name);
};

#endif
